TokenNode (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.node
Interface TokenNode

All Superinterfaces:
  Comparable<ComparableNode>, ComparableNode, DependencyNode, Element, PhraseStructureNode

All Known Implementing Classes:
  Token

    public interface TokenNode

extends DependencyNode, PhraseStructureNode

Method Summary
`TokenNode` | `getPredecessor()` Returns the predecessor token node in the linear order of the token nodes.
`TokenNode` | `getSuccessor()` Returns the successor token node in the linear order of the token nodes.
`void` | `setPredecessor(TokenNode predecessor)` Sets the predecessor token node in the linear order of the token nodes.
`void` | `setSuccessor(TokenNode successor)` Sets the predecessor token node in the linear order of the token nodes.

Methods inherited from interface org.maltparser.core.syntaxgraph.node.DependencyNode
`addHeadEdgeLabel, addHeadEdgeLabel, addHeadEdgeLabel, findComponent, getAncestor, getClosestLeftDependent, getClosestRightDependent, getComponent, getDependencyNodeDepth, getHead, getHeadEdge, getHeadEdgeLabelCode, getHeadEdgeLabelSet, getHeadEdgeLabelSymbol, getHeadEdgeLabelTypes, getHeadEdges, getHeads, getLeftDependent, getLeftDependentCount, getLeftDependents, getLeftmostDependent, getLeftSibling, getProperAncestor, getRank, getRightDependent, getRightDependentCount, getRightDependents, getRightmostDependent, getRightSibling, getSameSideLeftSibling, getSameSideRightSibling, hasAncestorInside, hasAtMostOneHead, hasDependent, hasHead, hasHeadEdgeLabel, hasLeftDependent, hasRightDependent, isHeadEdgeLabeled, isProjective, nHeadEdgeLabels, setComponent, setRank`

Methods inherited from interface org.maltparser.core.syntaxgraph.node.PhraseStructureNode
`getParent, getParentEdge, getParentEdgeLabelCode, getParentEdgeLabelSymbol, hasParentEdgeLabel`

Methods inherited from interface org.maltparser.core.syntaxgraph.node.ComparableNode
`getCompareToIndex, getIncomingSecondaryEdges, getInDegree, getIndex, getLeftmostDescendant, getLeftmostDescendantIndex, getLeftmostProperDescendant, getLeftmostProperDescendantIndex, getOutDegree, getOutgoingSecondaryEdges, getRightmostDescendant, getRightmostDescendantIndex, getRightmostProperDescendant, getRightmostProperDescendantIndex, isRoot`

Methods inherited from interface org.maltparser.core.syntaxgraph.Element
`addLabel, addLabel, addLabel, clear, getBelongsToGraph, getLabelCode, getLabelSet, getLabelSymbol, getLabelTypes, hasLabel, isLabeled, nLabels, removeLabel, removeLabels, setBelongsToGraph`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### setPredecessor

    void setPredecessor(TokenNode predecessor)

  Sets the predecessor token node in the linear order of the token nodes.

  Parameters:
    `predecessor` - the predecessor token node

### setSuccessor

    void setSuccessor(TokenNode successor)

  Sets the predecessor token node in the linear order of the token nodes.

  Parameters:
    `successor` - the successor token node

### getPredecessor

    TokenNode getPredecessor()

  Returns the predecessor token node in the linear order of the token nodes.

  Returns:
    the predecessor token node in the linear order of the token nodes.

### getSuccessor

    TokenNode getSuccessor()

  Returns the successor token node in the linear order of the token nodes.

  Returns:
    the successor token node in the linear order of the token nodes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.